<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Catch::Generators::RangeGenerator&lt; T &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="namespaceCatch_1_1Generators.html">Generators</a></li><li class="navelem"><a class="el" href="classCatch_1_1Generators_1_1RangeGenerator.html">RangeGenerator</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classCatch_1_1Generators_1_1RangeGenerator-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Catch::Generators::RangeGenerator&lt; T &gt; Class Template Reference<span class="mlabels"><span class="mlabel">final</span></span></div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Catch::Generators::RangeGenerator&lt; T &gt;:</div>
<div class="dyncontent">
<div class="center"><img src="classCatch_1_1Generators_1_1RangeGenerator__inherit__graph.png" border="0" usemap="#Catch_1_1Generators_1_1RangeGenerator_3_01T_01_4_inherit__map" alt="Inheritance graph"/></div>
<map name="Catch_1_1Generators_1_1RangeGenerator_3_01T_01_4_inherit__map" id="Catch_1_1Generators_1_1RangeGenerator_3_01T_01_4_inherit__map">
<area shape="rect" title=" " alt="" coords="9,184,176,225"/>
<area shape="rect" href="structCatch_1_1Generators_1_1IGenerator.html" title=" " alt="" coords="19,95,166,136"/>
<area shape="rect" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html" title=" " alt="" coords="5,5,180,47"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Catch::Generators::RangeGenerator&lt; T &gt;:</div>
<div class="dyncontent">
<div class="center"><img src="classCatch_1_1Generators_1_1RangeGenerator__coll__graph.png" border="0" usemap="#Catch_1_1Generators_1_1RangeGenerator_3_01T_01_4_coll__map" alt="Collaboration graph"/></div>
<map name="Catch_1_1Generators_1_1RangeGenerator_3_01T_01_4_coll__map" id="Catch_1_1Generators_1_1RangeGenerator_3_01T_01_4_coll__map">
<area shape="rect" title=" " alt="" coords="9,184,176,225"/>
<area shape="rect" href="structCatch_1_1Generators_1_1IGenerator.html" title=" " alt="" coords="19,95,166,136"/>
<area shape="rect" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html" title=" " alt="" coords="5,5,180,47"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a6a9b3cc009471c085c985642e0ab102e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1RangeGenerator.html#a6a9b3cc009471c085c985642e0ab102e">RangeGenerator</a> (T const &amp;start, T const &amp;end, T const &amp;step)</td></tr>
<tr class="separator:a6a9b3cc009471c085c985642e0ab102e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac999eb143945ff311b97d2c767df90d3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1RangeGenerator.html#ac999eb143945ff311b97d2c767df90d3">RangeGenerator</a> (T const &amp;start, T const &amp;end)</td></tr>
<tr class="separator:ac999eb143945ff311b97d2c767df90d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2639173bb9f06ba353314cd226fcefec"><td class="memItemLeft" align="right" valign="top">T const  &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1RangeGenerator.html#a2639173bb9f06ba353314cd226fcefec">get</a> () const override</td></tr>
<tr class="separator:a2639173bb9f06ba353314cd226fcefec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e6b2038832f09724d5a4355b4691259"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1RangeGenerator.html#a4e6b2038832f09724d5a4355b4691259">next</a> () override</td></tr>
<tr class="separator:a4e6b2038832f09724d5a4355b4691259"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a9b3cc009471c085c985642e0ab102e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1RangeGenerator.html#a6a9b3cc009471c085c985642e0ab102e">RangeGenerator</a> (T const &amp;start, T const &amp;end, T const &amp;step)</td></tr>
<tr class="separator:a6a9b3cc009471c085c985642e0ab102e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac999eb143945ff311b97d2c767df90d3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1RangeGenerator.html#ac999eb143945ff311b97d2c767df90d3">RangeGenerator</a> (T const &amp;start, T const &amp;end)</td></tr>
<tr class="separator:ac999eb143945ff311b97d2c767df90d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2639173bb9f06ba353314cd226fcefec"><td class="memItemLeft" align="right" valign="top">T const  &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1RangeGenerator.html#a2639173bb9f06ba353314cd226fcefec">get</a> () const override</td></tr>
<tr class="separator:a2639173bb9f06ba353314cd226fcefec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e6b2038832f09724d5a4355b4691259"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1RangeGenerator.html#a4e6b2038832f09724d5a4355b4691259">next</a> () override</td></tr>
<tr class="separator:a4e6b2038832f09724d5a4355b4691259"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_structCatch_1_1Generators_1_1IGenerator"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_structCatch_1_1Generators_1_1IGenerator')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="structCatch_1_1Generators_1_1IGenerator.html">Catch::Generators::IGenerator&lt; T &gt;</a></td></tr>
<tr class="memitem:afe5b6eecbbd735e69748d68574611747 inherit pub_methods_structCatch_1_1Generators_1_1IGenerator"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Generators_1_1IGenerator.html#afe5b6eecbbd735e69748d68574611747">~IGenerator</a> ()=default</td></tr>
<tr class="separator:afe5b6eecbbd735e69748d68574611747 inherit pub_methods_structCatch_1_1Generators_1_1IGenerator"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe5b6eecbbd735e69748d68574611747 inherit pub_methods_structCatch_1_1Generators_1_1IGenerator"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Generators_1_1IGenerator.html#afe5b6eecbbd735e69748d68574611747">~IGenerator</a> ()=default</td></tr>
<tr class="separator:afe5b6eecbbd735e69748d68574611747 inherit pub_methods_structCatch_1_1Generators_1_1IGenerator"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classCatch_1_1Generators_1_1GeneratorUntypedBase"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classCatch_1_1Generators_1_1GeneratorUntypedBase')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html">Catch::Generators::GeneratorUntypedBase</a></td></tr>
<tr class="memitem:a00ff0179d739c3016756b6cf56fabbad inherit pub_methods_classCatch_1_1Generators_1_1GeneratorUntypedBase"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html#a00ff0179d739c3016756b6cf56fabbad">GeneratorUntypedBase</a> ()=default</td></tr>
<tr class="separator:a00ff0179d739c3016756b6cf56fabbad inherit pub_methods_classCatch_1_1Generators_1_1GeneratorUntypedBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f05f8099fdc5744a7aff68aa8c09c7f inherit pub_methods_classCatch_1_1Generators_1_1GeneratorUntypedBase"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html#a6f05f8099fdc5744a7aff68aa8c09c7f">~GeneratorUntypedBase</a> ()</td></tr>
<tr class="separator:a6f05f8099fdc5744a7aff68aa8c09c7f inherit pub_methods_classCatch_1_1Generators_1_1GeneratorUntypedBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a00ff0179d739c3016756b6cf56fabbad inherit pub_methods_classCatch_1_1Generators_1_1GeneratorUntypedBase"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html#a00ff0179d739c3016756b6cf56fabbad">GeneratorUntypedBase</a> ()=default</td></tr>
<tr class="separator:a00ff0179d739c3016756b6cf56fabbad inherit pub_methods_classCatch_1_1Generators_1_1GeneratorUntypedBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f05f8099fdc5744a7aff68aa8c09c7f inherit pub_methods_classCatch_1_1Generators_1_1GeneratorUntypedBase"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html#a6f05f8099fdc5744a7aff68aa8c09c7f">~GeneratorUntypedBase</a> ()</td></tr>
<tr class="separator:a6f05f8099fdc5744a7aff68aa8c09c7f inherit pub_methods_classCatch_1_1Generators_1_1GeneratorUntypedBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:af2be334be7dc9be55bcb75b2609dea64"><td class="memItemLeft" align="right" valign="top">T&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1RangeGenerator.html#af2be334be7dc9be55bcb75b2609dea64">m_current</a></td></tr>
<tr class="separator:af2be334be7dc9be55bcb75b2609dea64"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adea61e79cfc8c51efdea2526daa33dec"><td class="memItemLeft" align="right" valign="top">T&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1RangeGenerator.html#adea61e79cfc8c51efdea2526daa33dec">m_end</a></td></tr>
<tr class="separator:adea61e79cfc8c51efdea2526daa33dec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44e4683a9f98df49792502a2c51ff249"><td class="memItemLeft" align="right" valign="top">T&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1RangeGenerator.html#a44e4683a9f98df49792502a2c51ff249">m_step</a></td></tr>
<tr class="separator:a44e4683a9f98df49792502a2c51ff249"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4f0ce4efcf625e04150547363437ff8"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1RangeGenerator.html#ad4f0ce4efcf625e04150547363437ff8">m_positive</a></td></tr>
<tr class="separator:ad4f0ce4efcf625e04150547363437ff8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_structCatch_1_1Generators_1_1IGenerator"><td colspan="2" onclick="javascript:toggleInherit('pub_types_structCatch_1_1Generators_1_1IGenerator')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="structCatch_1_1Generators_1_1IGenerator.html">Catch::Generators::IGenerator&lt; T &gt;</a></td></tr>
<tr class="memitem:a1f8677875fe0ff31f39c60d45504b9a5 inherit pub_types_structCatch_1_1Generators_1_1IGenerator"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Generators_1_1IGenerator.html#a1f8677875fe0ff31f39c60d45504b9a5">type</a> = T</td></tr>
<tr class="separator:a1f8677875fe0ff31f39c60d45504b9a5 inherit pub_types_structCatch_1_1Generators_1_1IGenerator"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f8677875fe0ff31f39c60d45504b9a5 inherit pub_types_structCatch_1_1Generators_1_1IGenerator"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Generators_1_1IGenerator.html#a1f8677875fe0ff31f39c60d45504b9a5">type</a> = T</td></tr>
<tr class="separator:a1f8677875fe0ff31f39c60d45504b9a5 inherit pub_types_structCatch_1_1Generators_1_1IGenerator"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a6a9b3cc009471c085c985642e0ab102e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6a9b3cc009471c085c985642e0ab102e">&#9670;&nbsp;</a></span>RangeGenerator() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1Generators_1_1RangeGenerator.html">Catch::Generators::RangeGenerator</a>&lt; T &gt;::<a class="el" href="classCatch_1_1Generators_1_1RangeGenerator.html">RangeGenerator</a> </td>
          <td>(</td>
          <td class="paramtype">T const &amp;&#160;</td>
          <td class="paramname"><em>start</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">T const &amp;&#160;</td>
          <td class="paramname"><em>end</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">T const &amp;&#160;</td>
          <td class="paramname"><em>step</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac999eb143945ff311b97d2c767df90d3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac999eb143945ff311b97d2c767df90d3">&#9670;&nbsp;</a></span>RangeGenerator() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1Generators_1_1RangeGenerator.html">Catch::Generators::RangeGenerator</a>&lt; T &gt;::<a class="el" href="classCatch_1_1Generators_1_1RangeGenerator.html">RangeGenerator</a> </td>
          <td>(</td>
          <td class="paramtype">T const &amp;&#160;</td>
          <td class="paramname"><em>start</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">T const &amp;&#160;</td>
          <td class="paramname"><em>end</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a6a9b3cc009471c085c985642e0ab102e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6a9b3cc009471c085c985642e0ab102e">&#9670;&nbsp;</a></span>RangeGenerator() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1Generators_1_1RangeGenerator.html">Catch::Generators::RangeGenerator</a>&lt; T &gt;::<a class="el" href="classCatch_1_1Generators_1_1RangeGenerator.html">RangeGenerator</a> </td>
          <td>(</td>
          <td class="paramtype">T const &amp;&#160;</td>
          <td class="paramname"><em>start</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">T const &amp;&#160;</td>
          <td class="paramname"><em>end</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">T const &amp;&#160;</td>
          <td class="paramname"><em>step</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac999eb143945ff311b97d2c767df90d3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac999eb143945ff311b97d2c767df90d3">&#9670;&nbsp;</a></span>RangeGenerator() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1Generators_1_1RangeGenerator.html">Catch::Generators::RangeGenerator</a>&lt; T &gt;::<a class="el" href="classCatch_1_1Generators_1_1RangeGenerator.html">RangeGenerator</a> </td>
          <td>(</td>
          <td class="paramtype">T const &amp;&#160;</td>
          <td class="paramname"><em>start</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">T const &amp;&#160;</td>
          <td class="paramname"><em>end</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a2639173bb9f06ba353314cd226fcefec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2639173bb9f06ba353314cd226fcefec">&#9670;&nbsp;</a></span>get() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">T const&amp; <a class="el" href="classCatch_1_1Generators_1_1RangeGenerator.html">Catch::Generators::RangeGenerator</a>&lt; T &gt;::get </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="structCatch_1_1Generators_1_1IGenerator.html#a525d381fc9249a885b075a0632a8579a">Catch::Generators::IGenerator&lt; T &gt;</a>.</p>

</div>
</div>
<a id="a2639173bb9f06ba353314cd226fcefec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2639173bb9f06ba353314cd226fcefec">&#9670;&nbsp;</a></span>get() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">T const&amp; <a class="el" href="classCatch_1_1Generators_1_1RangeGenerator.html">Catch::Generators::RangeGenerator</a>&lt; T &gt;::get </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="structCatch_1_1Generators_1_1IGenerator.html#a525d381fc9249a885b075a0632a8579a">Catch::Generators::IGenerator&lt; T &gt;</a>.</p>

</div>
</div>
<a id="a4e6b2038832f09724d5a4355b4691259"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4e6b2038832f09724d5a4355b4691259">&#9670;&nbsp;</a></span>next() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classCatch_1_1Generators_1_1RangeGenerator.html">Catch::Generators::RangeGenerator</a>&lt; T &gt;::next </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html#aeed3c0cd6233c5f553549e453b8d6638">Catch::Generators::GeneratorUntypedBase</a>.</p>

</div>
</div>
<a id="a4e6b2038832f09724d5a4355b4691259"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4e6b2038832f09724d5a4355b4691259">&#9670;&nbsp;</a></span>next() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classCatch_1_1Generators_1_1RangeGenerator.html">Catch::Generators::RangeGenerator</a>&lt; T &gt;::next </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html#aeed3c0cd6233c5f553549e453b8d6638">Catch::Generators::GeneratorUntypedBase</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="af2be334be7dc9be55bcb75b2609dea64"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af2be334be7dc9be55bcb75b2609dea64">&#9670;&nbsp;</a></span>m_current</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">T <a class="el" href="classCatch_1_1Generators_1_1RangeGenerator.html">Catch::Generators::RangeGenerator</a>&lt; T &gt;::m_current</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="adea61e79cfc8c51efdea2526daa33dec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adea61e79cfc8c51efdea2526daa33dec">&#9670;&nbsp;</a></span>m_end</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">T <a class="el" href="classCatch_1_1Generators_1_1RangeGenerator.html">Catch::Generators::RangeGenerator</a>&lt; T &gt;::m_end</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ad4f0ce4efcf625e04150547363437ff8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad4f0ce4efcf625e04150547363437ff8">&#9670;&nbsp;</a></span>m_positive</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classCatch_1_1Generators_1_1RangeGenerator.html">Catch::Generators::RangeGenerator</a>&lt; T &gt;::m_positive</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a44e4683a9f98df49792502a2c51ff249"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a44e4683a9f98df49792502a2c51ff249">&#9670;&nbsp;</a></span>m_step</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">T <a class="el" href="classCatch_1_1Generators_1_1RangeGenerator.html">Catch::Generators::RangeGenerator</a>&lt; T &gt;::m_step</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>backend/src/lib/game/<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
